Skip to content

Get ManualPurchaseManager mappers ​

GET
/v1/internal/manualpurchasemanager/mappers

Retrieve mapper records from ManualPurchaseManager based on supplied filters. Restricted to ADMIN and PRODUCT_MANAGEMENT roles.

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Query Parameters

sorting
Type
string
Default
null
page_size

Number of items per page

Type
integer
Default
50
page

Current page

Type
integer
Default
1
is_mapped
Type
boolean
is_active
Type
boolean
sport_type

Enum: soccer, motorsport, tennis, rugby, darts, horseracing, boxing, other, motogp, formula1, cricket, basketball, combatsport, icehockey, nba, nfl, mlb, watersport, dtm, indycar, superbike, padel, handball, golf, rowing, cycling, sailing

Type
string
query
Type
string
supplier_id
Type
string

Responses​

OK

application/json
JSON
{
  
"mapping": [
  
  
{
  
  
  
"external_id": null,
  
  
  
"search_key": null,
  
  
  
"supplier_id": null,
  
  
  
"team_id": null,
  
  
  
"tournament_id": null,
  
  
  
"category_id": null,
  
  
  
"context_details": null,
  
  
  
"venue_id": null,
  
  
  
"is_error": null,
  
  
  
"team": null,
  
  
  
"supplier": null,
  
  
  
"tournament": null,
  
  
  
"category": null,
  
  
  
"venue": null,
  
  
  
"is_active": null,
  
  
  
"editable_fields": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"created": null,
  
  
  
"updated": null
  
  
}
  
],
  
"pagination": {
  
  
"total_size": 1,
  
  
"page_size": 50,
  
  
"page_number": 1,
  
  
"next_page": "string",
  
  
"previous_page": "string"
  
}
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​